Get risk ratings and reputation for one CTV app
The purpose of this API is to provide risk ratings and reputational data for CTV applications. The response is a JSON formatted object containing a list of app information partitioned by region and device.
Authentication
x-api-keystring
Authentication and authorization is achieved by supplying your Pixalate provided API key in the header of the request. An API key may be obtained by signing up for an account on the Pixalate developer website.
Path parameters
appId
The app's unique identifier.
Query parameters
widget
Filter by comma-separated list of widgets to return. All widgets are returned by default.
region
Filter by region. All regions are returned by default. GLOBAL indicates aggregated traffic from all regions.
Allowed values:
device
Filter by device. All devices are returned by default.
Allowed values:
includeSpoofing
A true indicates that spoofing information should be included.
pretty
If true, return pretty JSON. Default is false.
Response
OK
status
The returned status.
Allowed values:
numFound
The total number of matching apps.
docs
A list of apps.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error